Subject: Re: bug#24520: 25.1.50; calccard.tex has somewhat unclear licensing

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Oct 2016 13:06:48 +0300

> From: Richard Stallman <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> Date: Sun, 23 Oct 2016 20:26:08 -0400
> 
>   > > My own take is that the "this is part of Emacs" GPL blurb in the tex source
>   > > should be removed, for clarity.
> 
> I agree it should not say the words "this is part of GNU Emacs".
> 
>   > > > Perhaps what we need is (1) an additional permission saying that
>   > > > reference cards printed, or formatted for printing, may be distributed
>   > > > with the notice "Released under the terms of the GNU General Public
>   > > > License version 3 or later" and a copyright notice, without the usual
>   > > > GPL notice and without a copy of the GPL itself.
> 
> I think this is what we should do, in the refcard source.  How about
> this text?
> 
> As a special additional permission, you may distribute reference cards
> printed, or formatted for printing, with the notice "Released under
> the terms of the GNU General Public License version 3 or later"
> instead of the usual distributed-under-the-GNU-GPL notice, and without
> a copy of the GPL itself.

Is the patch below what you had in mind?  (I'm unsure whether you
meant to put the above text in the TeX source as a comment or as part
of the Copyright notice group; I did the latter.)

> Then change the notice used in the formated file
> to say that.

I don't understand what that means in practice.  Wouldn't processing
the TeX sources do that automatically?

diff --git a/etc/refcards/calccard.tex b/etc/refcards/calccard.tex
index 5ca8207..0874de7 100644
--- a/etc/refcards/calccard.tex
+++ b/etc/refcards/calccard.tex
@@ -20,23 +20,6 @@
 % Typical command to format:  tex calccard.tex
 % Typical command to print (3 cols):  dvips -t landscape calccard.dvi
 
-% Copyright (C) 1987, 1992, 2001-2016 Free Software Foundation, Inc.
-
-% This file is part of GNU Emacs.
-
-% GNU Emacs is free software: you can redistribute it and/or modify
-% it under the terms of the GNU General Public License as published by
-% the Free Software Foundation, either version 3 of the License, or
-% (at your option) any later version.
-
-% GNU Emacs is distributed in the hope that it will be useful,
-% but WITHOUT ANY WARRANTY; without even the implied warranty of
-% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-% GNU General Public License for more details.
-
-% You should have received a copy of the GNU General Public License
-% along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.
-
 % This file is intended to be processed by plain TeX (TeX82).
 %
 % The final reference card has six columns, three on each side.
@@ -79,6 +62,12 @@
 this card provided the copyright notice and this permission notice
 are preserved on all copies.
 
+As a special additional permission, you may distribute reference cards
+printed, or formatted for printing, with the notice "Released under
+the terms of the GNU General Public License version 3 or later"
+instead of the usual distributed-under-the-GNU-GPL notice, and without
+a copy of the GPL itself.
+
 %For copies of the GNU Emacs Calc manual, write to the Free Software
 %Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 %MA 02110-1301, USA.